apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose --file docker-compose.yml convert
    kompose.service.type: nodeport
    kompose.version: 1.17.0 (a74acad)
  labels:
    io.kompose.service: hello-docker
  name: hello-docker
spec:
  replicas: 1
  strategy: {}
  template:
    metadata:
      labels:
        io.kompose.service: hello-docker
    spec:
      containers:
      - env:
        - name: AUTHOR
          value: Ijaz Ahmad
        image: dockerhub.ebi.ac.uk/iahmad/gitlab-demo:COMMIT_SHA
        name: static-site
        imagePullPolicy: Always
        ports:
        - containerPort: 80
        resources: {}
      restartPolicy: Always
